Subject: [regression v4.17-rc0] Re: FORTIFY_SOURCE breaks ARM compilation in -next -- was Re: ARM compile failure in Re: linux-next: Tree for Apr 4

From: [email-masked] (Pavel Machek)
Date: Sun, 15 Apr 2018 22:58:07 +0200

On Sun 2018-04-15 11:00:06, Kees Cook wrote:
> On Sun, Apr 15, 2018 at 10:39 AM, Pavel Machek <[email-masked]> wrote:
> > Hi!
> >
> >> Thanks.
> >>
> >> Ok, let me try to bisect it. Compile-problem should be easy...
> >>
> >> Hmm. And as it is compile-problem in single file, it should even be
> >> reasonably fast. I did not realize how easy it would be:
> >>
> >> #!/bin/bash
> >> set -e
> >> cp config.ok .config
> >> yes '' | ARCH=arm make lib/string.o
> >>
> >> And the winner is:
> >>
> >> ee333554fed55555a986a90bb097ac7f9d6f05bf is the first bad commit
> >> commit ee333554fed55555a986a90bb097ac7f9d6f05bf
> >> Author: Jinbum Park <[email-masked]>
> >> Date:   Tue Mar 6 01:39:24 2018 +0100
> > ...
> >
> >>     Acked-by: Kees Cook <[email-masked]>
> >>     Signed-off-by: Jinbum Park <[email-masked]>
> >>     Signed-off-by: Russell King <[email-masked]>
> >
> > So I bisect a problem in -next, and patch is merged to Linus,
> > _anyway_, breaking compilation there? Neither Jinbum nor Russell even
> > bother to comment.
> 
> Hi! Sorry I lost this email in my inbox. It seems this is specific to
> a particular subset of arm architectures? (My local builds of arm all
> succeed, for example. Can you send your failing config?) I'll take a
> closer look on Monday if Daniel doesn't beat me to it.

I believe it depends on gcc version really. I should get some sleep
now, but details should be in the corresponding thread on lkml.

I'll send you my .config privately.
								Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20180415/dd98bdd0/attachment.sig>